Update a data source group
POST /source/group/update
Description
This method updates the parameters of an existing data source group. A JWT token in the header is required for access.
Request Format
- HTTP Method:
POST - URL:
/source/group/update - Content-Type:
application/json - Authorization: required
Request Parameters
| Parameter | Type | Location | Required | Description |
|---|---|---|---|---|
| token | string | Header | ✅ | User JWT token |
Request Body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
| token | string | ✅ | User JWT token |
| group_id | string | ✅ | Group identifier |
| name | string | ❌ | New name for the data source |
| person_list_search | object[] | ❌ | List of settings for searching by faces in a group |
Example Request (cURL)
curl -X POST "https://api.enface.ai/v1/source/group/update"
-H "Content-Type: application/json"
-H "Authorization: Bearer jwt.temporary.token"
-d '{
"token": "jwt.temporary.token",
"group_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Updated Group Name",
"person_list_search": [
{
"id": "d995ca10-8292-11ea-ae65-3048e12b1113",
"on_failed": "",
"on_found": ""
}
]
}' Response Examples
Success (200 OK)
{
"code": 0,
"message": "source group updated",
"status": "ok"
} Error (400 Bad Request)
{
"message": "invalid schema",
"status": "error"
}